﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class RoomManager : MonoBehaviour
{

    public int _viewIndex;
    public int _roomIndex;
    private string[][] _rooms = {
        new string[] {"A2","A1","A3" },
        new string[] {"B1"},
        new string[] {"C1", "C2", "C3"}
    };
    private Color[] _roomsColors = { Color.red, Color.green, Color.blue };

    public int viewIndex
    {
        get { return _viewIndex; }
        set
        {
            if (0 < _viewIndex && _viewIndex < _rooms[_roomIndex].Length - 1)
                _viewIndex += value;
            else if (0 < _viewIndex && value < 0)
                _viewIndex += value;
            else if (_viewIndex < _rooms[_roomIndex].Length - 1 && value > 0)
                _viewIndex += value;
        }
    }

    public int roomIndex
    {
        get { return _roomIndex; }
        set
        {
            if (0 < _roomIndex && _roomIndex < _rooms.Length)
                _roomIndex = _roomIndex + value;
            else if (0 < _roomIndex && value < 0)
                _roomIndex += value;
            else if (_roomIndex < _rooms.Length - 1 && value > 0)
                _roomIndex += value;

            if( _rooms[_roomIndex].Length < _viewIndex)
                _viewIndex = _rooms[_roomIndex].Length - 1;
        }
    }

    public string actualRoom
    {
        get { return _rooms[_roomIndex][_viewIndex]; }
    }

    public Color actualRoomColor
    {
        get
        {
            return _roomsColors[_roomIndex];
        }
    }

    // Start is called before the first frame update
    void Start()
    {
        _viewIndex = 1;
        _roomIndex = 0;
    }
}
